net.minecraft.entity.ai.attributes

## Class AttributeModifier

- java.lang.Object
- - net.minecraft.entity.ai.attributes.AttributeModifier

-     public class AttributeModifier
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeModifier(String par1Str, double par2, int par4)`
    `AttributeModifier(UUID par1UUID, String par2Str, double par3, int par5)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object par1Obj)`
    `double` | `getAmount()`
    `UUID` | `getID()`
    `String` | `getName()`
    `int` | `getOperation()`
    `int` | `hashCode()`
    `boolean` | `isSaved()`
    `AttributeModifier` | `setSaved(boolean par1)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeModifier

          public AttributeModifier(String par1Str,
                           double par2,
                           int par4)

    - #### AttributeModifier

          public AttributeModifier(UUID par1UUID,
                           String par2Str,
                           double par3,
                           int par5)

  - ### Method Detail

    - #### getID

          public UUID getID()

    - #### getName

          public String getName()

    - #### getOperation

          public int getOperation()

    - #### getAmount

          public double getAmount()

    - #### isSaved

          public boolean isSaved()

      See Also:
        `isSaved`

    - #### setSaved

          public AttributeModifier setSaved(boolean par1)

      See Also:
        `isSaved`

    - #### equals

          public boolean equals(Object par1Obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`